﻿using System.Web.Mvc;
using Kreta.BusinessLogic.Security;
using Kreta.Resources;
using Kreta.Web.Areas.LEPModul.Models;
using Kreta.Web.Security;

namespace Kreta.Web.Areas.LEPModul.Controllers
{
    [MvcRoleClaimsAuthorize(true)]
    [MvcRolePackageAuthorize(KretaClaimPackages.Ellenorzo.ClaimValue)]
    public class GondviseloLEPController : Controller
    {
        public ActionResult Index()
        {
            var model = new EloadasokSearchModel() { };
            model.GondviseloElfogadasList = new System.Collections.Generic.List<SelectListItem>();
            model.GondviseloElfogadasList.Add(new SelectListItem() { Text = EloadasokResource.Engedelyezem, Value = "T" });
            model.GondviseloElfogadasList.Add(new SelectListItem() { Text = EloadasokResource.Elutasitom, Value = "F" });

            return View(model);
        }
    }
}
