﻿using System;
using System.ComponentModel.DataAnnotations;
using Kreta.BusinessLogic.Interfaces;
using Kreta.Resources;

namespace Kreta.Web.Areas.LEPModul.Models
{
    public class EloadasokDetailGridModel : IKretaIdentity
    {
        public string ID { get; set; }

        [Display(Name = nameof(OsztalyCsoportResource.TanuloNeve), ResourceType = typeof(OsztalyCsoportResource))]
        public string TanuloNev { get; set; }

        [Display(Name = nameof(OsztalyCsoportResource.Osztaly), ResourceType = typeof(OsztalyCsoportResource))]
        public string OsztalyCsoportNev { get; set; }

        public int TanuloId { get; set; }

        public int OsztalyCsoportId { get; set; }

        public int EvfolyamId { get; set; }

        public string Megjelent { get; set; }

        public DateTime? Datum { get; set; }

        public string SzervezetNev { get; set; }

        public string EloadasNev { get; set; }

        [Display(Name = nameof(TanuloResource.OktatasiAzonosito), ResourceType = typeof(TanuloResource))]
        public string TanuloOktAzon { get; set; }

        [Display(Name = nameof(CommonResource.OMAzonosito), ResourceType = typeof(CommonResource))]
        public string IntezmenyAzon { get; set; }

        [Display(Name = nameof(CommonResource.IntezmenyHivatalosNev), ResourceType = typeof(CommonResource))]
        public string IntezmenyNev { get; set; }

        [Display(Name = nameof(EloadasokResource.GondviseloElfogadas), ResourceType = typeof(EloadasokResource))]
        public string GondviseloElfogadas { get; set; }
    }
}
