﻿using System;
using System.ComponentModel.DataAnnotations;
using Kreta.BusinessLogic.Interfaces;
using Kreta.Resources;

namespace Kreta.Web.Areas.LEPModul.Models
{
    public class EloadasokGridModel : IKretaIdentity
    {
        public string ID { get; set; }

        [Display(Name = nameof(EloadasokResource.Helyszin), ResourceType = typeof(EloadasokResource))]
        public string Helyszin { get; set; }

        [Display(Name = nameof(EloadasokResource.Datum), ResourceType = typeof(EloadasokResource))]
        public DateTime? Datum { get; set; }

        [Display(Name = nameof(EloadasokResource.EloadasKezdete), ResourceType = typeof(EloadasokResource))]
        public DateTime? EloadasKezdete { get; set; }

        [Display(Name = nameof(EloadasokResource.EloadasVege), ResourceType = typeof(EloadasokResource))]
        public DateTime? EloadasVege { get; set; }

        [Display(Name = nameof(EloadasokResource.SzervezetNev), ResourceType = typeof(EloadasokResource))]
        public string SzervezetNev { get; set; }

        [Display(Name = nameof(EloadasokResource.EloadasNev), ResourceType = typeof(EloadasokResource))]
        public string EloadasNev { get; set; }

        [Display(Name = nameof(EloadasokResource.FerohelyFoglaltHelyek), ResourceType = typeof(EloadasokResource))]
        public string FerohelyFoglaltHelyek { get; set; }

        [Display(Name = nameof(EloadasokResource.EvFolyam), ResourceType = typeof(EloadasokResource))]
        public string EvFolyamIdList { get; set; }

        public int EvFolyamId { get; set; }

        [Display(Name = nameof(EloadasokResource.JelentkezesElfogadas), ResourceType = typeof(EloadasokResource))]
        public string GondviseloElfogadas { get; set; }

        [Display(Name = nameof(EloadasokResource.Leiras), ResourceType = typeof(EloadasokResource))]
        public string Leiras { get; set; }

        [Display(Name = nameof(EloadasokResource.Megjelent), ResourceType = typeof(EloadasokResource))]
        public string Megjelent { get; set; }

        public int KiseroLetszam { get; set; }
        public int TanuloLetszam { get; set; }
        public int? TanuloLetszamFennmarado { get; set; }
        public int? KiseroLetszamFennmarado { get; set; }
        public bool IsToroltJelentkezes { get; set; }
    }
}
