﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using Kreta.Resources;

namespace Kreta.Web.Areas.LEPModul.Models
{
    public class EloadasokSearchModel
    {
        [Display(Name = nameof(EloadasokResource.Helyszin), ResourceType = typeof(EloadasokResource))]
        public string Helyszin { get; set; }

        [Display(Name = nameof(EloadasokResource.EloadasIdoszak), ResourceType = typeof(EloadasokResource))]
        public DateTime? IdoszakKezdete { get; set; }

        public DateTime? IdoszakVege { get; set; }

        [Display(Name = nameof(EloadasokResource.EloadasNev), ResourceType = typeof(EloadasokResource))]
        public string EloadasNev { get; set; }

        [Display(Name = nameof(EloadasokResource.EvFolyam), ResourceType = typeof(EloadasokResource))]
        public int? EvfolyamID { get; set; }

        [Display(Name = nameof(EloadasokResource.SzervezetNev), ResourceType = typeof(EloadasokResource))]
        public string SzervezetNev { get; set; }

        [Display(Name = nameof(EloadasokResource.EloadasKezdete), ResourceType = typeof(EloadasokResource))]
        public DateTime? IdoszakKezdeteTime { get; set; }

        [Display(Name = nameof(EloadasokResource.EloadasVege), ResourceType = typeof(EloadasokResource))]
        public DateTime? IdoszakVegeTime { get; set; }

        public bool IsMindenEvfolyamJog { get; set; }

        public List<int> EvfolyamIdList { get; set; }

        public int TanevSorszam { get; set; }

        public string IntezmenyAzonosito { get; set; }

        public List<SelectListItem> GondviseloElfogadasList { get; set; }
    }
}
